SDL_GetWindowSize(3)

NAME
SDL_GetWindowSize - Get the size of a window's client area.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetWindowSize(SDL_Window *window, int *w, int *h);

DESCRIPTION
NULL can safely be passed as the w or h parameter if the width or height value is not desired. The window pixel size may differ from its window coordinate size if the window is on a high pixel density display. Use SDL_GetWindowSizeInPixels () or SDL_GetRenderOutputSize () to get the real client area size in pixels.

FUNCTION PARAMETERS

window
    the window to query the width and height from

w   a pointer filled in with the width of the window, may be NULL

h   a pointer filled in with the height of the window, may be NULL

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderOutputSize(3), SDL_GetWindowSizeInPixels(3), SDL_SetWindowSize(3)